Bug 197150 - [patch] x11-wm/fluxbox -- Fix bug: integer underflow in startup phase
Summary: [patch] x11-wm/fluxbox -- Fix bug: integer underflow in startup phase
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Beat Gaetzi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-28 09:22 UTC by Vikash Badal
Modified: 2015-02-04 15:55 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (beat)


Attachments
path from http://git.fluxbox.org/fluxbox.git/commit/?id=7b8fd2d81ad80a73564fc9fbb779f47568f12652 (918 bytes, patch)
2015-01-28 09:22 UTC, Vikash Badal
no flags Details | Diff
Fluxbox-1.3.6_1 Update to apply fix from upstream (1.79 KB, patch)
2015-01-31 04:27 UTC, Jason Unovitch
no flags Details | Diff
10.1-RELEASE amd64 Poudriere log (155.65 KB, text/x-log)
2015-01-31 04:31 UTC, Jason Unovitch
no flags Details
10.1-RELEASE i386 Poudriere log (155.40 KB, text/x-log)
2015-01-31 04:31 UTC, Jason Unovitch
no flags Details
9.3-RELEASE amd64 Poudriere log (155.34 KB, text/x-log)
2015-01-31 04:32 UTC, Jason Unovitch
no flags Details
9.3-RELEASE i386 Poudriere log (152.78 KB, text/x-log)
2015-01-31 04:32 UTC, Jason Unovitch
no flags Details
8.4-RELEASE amd64 Poudriere log (155.38 KB, text/x-log)
2015-01-31 04:33 UTC, Jason Unovitch
no flags Details
8.4-RELEASE i386 Poudriere log (152.82 KB, text/x-log)
2015-01-31 04:33 UTC, Jason Unovitch
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Bugzilla Automation freebsd_committer 2015-01-28 09:22:42 UTC
Auto-assigned to maintainer beat@FreeBSD.org
Comment 2 Vikash Badal 2015-01-28 09:24:34 UTC
The patch addresses :
all applications launched by Fluxbox 1.3.6 crash Fluxbox
Comment 3 Jason Unovitch freebsd_committer 2015-01-31 04:27:50 UTC
Created attachment 152403 [details]
Fluxbox-1.3.6_1 Update to apply fix from upstream
Comment 4 Jason Unovitch freebsd_committer 2015-01-31 04:31:02 UTC
Created attachment 152404 [details]
10.1-RELEASE amd64 Poudriere log
Comment 5 Jason Unovitch freebsd_committer 2015-01-31 04:31:39 UTC
Created attachment 152405 [details]
10.1-RELEASE i386 Poudriere log
Comment 6 Jason Unovitch freebsd_committer 2015-01-31 04:32:11 UTC
Created attachment 152406 [details]
9.3-RELEASE amd64 Poudriere log
Comment 7 Jason Unovitch freebsd_committer 2015-01-31 04:32:35 UTC
Created attachment 152407 [details]
9.3-RELEASE i386 Poudriere log
Comment 8 Jason Unovitch freebsd_committer 2015-01-31 04:33:01 UTC
Created attachment 152408 [details]
8.4-RELEASE amd64 Poudriere log
Comment 9 Jason Unovitch freebsd_committer 2015-01-31 04:33:29 UTC
Created attachment 152409 [details]
8.4-RELEASE i386 Poudriere log
Comment 10 Jason Unovitch freebsd_committer 2015-02-04 13:56:29 UTC
Can a committer evaluate applying this on the basis of maintainer timeout?  I know this is a newer bug but some folks on our forums have been reporting this over the past couple weeks [1 and 2].  User 'willbprog127' says he reported this to the maintainer on 16 January, again on 22 Jan, and heard nothing by 26 Jan [2].  User 'srobert' confirms that this fixes the issue and also indicates he emailed the maintainer on 17 Jan with no response since then [2].

Additionally, the patch is already in upstream git for the next release [3]. The release isn't out yet but even if it were I won't have a chance to test it right away.  It would be great if we could have a working 1.3.6 in the meantime.  I'll do a new PR for the update to 1.3.7 after it gets released and I can test it.

[1] https://forums.freebsd.org/threads/xorg-fluxbox-crashes-on-window-open-after-upgrade-to-xorg-server-1-14.50128/

[2] https://forums.freebsd.org/threads/fluxbox-1-3-6-issue-on-10-1-amd64.49995/

[3] http://git.fluxbox.org/fluxbox.git/commit/?id=7b8fd2d81ad80a73564fc9fbb779f47568f12652
Comment 11 Kurt Jaeger freebsd_committer 2015-02-04 14:41:39 UTC
I tested the patch in my poudriere test setup, builds fine.

I'll ask around if we can shorten the 14-days maintainer timeout.
Comment 12 commit-hook freebsd_committer 2015-02-04 15:54:59 UTC
A commit references this bug:

Author: pi
Date: Wed Feb  4 15:54:28 UTC 2015
New revision: 378405
URL: https://svnweb.freebsd.org/changeset/ports/378405

Log:
  x11-wm/fluxbox: fix integer underflow in startup phase

  See also
  http://git.fluxbox.org/fluxbox.git/commit/?id=7b8fd2d81ad80a73564fc9fbb779f47568f12652

  PR:		197150
  Submitted by:	vikashb@where-ever.za.net
  Approved by:	portmgr runtime fix blanket

Changes:
  head/x11-wm/fluxbox/Makefile
  head/x11-wm/fluxbox/files/patch-src__FbTk__TextButton.cc
Comment 13 Kurt Jaeger freebsd_committer 2015-02-04 15:55:45 UTC
Committed, thanks for the report. Fix will be in 1.3.7, so it's only
a temp fix.